Bug 806104 - [abrt] bibus-1.5.1-5.fc15: RefList.py:39:setList:TypeError: object of type 'NoneType' has no len()
[abrt] bibus-1.5.1-5.fc15: RefList.py:39:setList:TypeError: object of type 'N...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: bibus (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ankur Sinha (FranciscoD)
Fedora Extras Quality Assurance
abrt_hash:fdc23ec4e5e7b29a3d14c2136d2...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-22 17:35 EDT by Vladimir
Modified: 2013-02-13 17:19 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 17:19:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vladimir 2012-03-22 17:35:02 EDT
libreport version: 2.0.8
abrt_version:   2.0.7
cmdline:        python /usr/share/bibus/bibus.py
executable:     /usr/share/bibus/bibus.py
kernel:         3.2.10-3.fc16.x86_64
reason:         RefList.py:39:setList:TypeError: object of type 'NoneType' has no len()
time:           Fri 23 Mar 2012 01:24:36 AM MSK
uid:            1001
username:       bob2

backtrace:
:RefList.py:39:setList:TypeError: object of type 'NoneType' has no len()
:
:Traceback (most recent call last):
:  File "/usr/share/bibus/KeyTree.py", line 139, in onKeySelect
:    self.KeySelect(event.GetItem())
:  File "/usr/share/bibus/KeyTree.py", line 163, in KeySelect
:    self.bibus_frame.updateList(self.bibus_frame.db.getAllRefOnline(BIB.LIST_DISPLAY,order,how,short=True))
:  File "/usr/share/bibus/BibFrame.py", line 848, in updateList
:    self.reflist.setList(recordList)
:  File "/usr/share/bibus/RefList.py", line 39, in setList
:    self.SetItemCount( len(refs) )
:TypeError: object of type 'NoneType' has no len()
:
:Local variables in innermost frame:
:refs: None
:self: <RefList.RefList; proxy of <Swig Object of type 'wxPyListCtrl *' at 0x32f69f0> >

smolt_data:
:
:
:General
:=================================
:UUID: fa2a9396-322a-4de9-a43e-1b081d910f18
:OS: Fedora release 16 (Verne)
:Default run level: Unknown
:Language: en_US.utf8
:Platform: x86_64
:BogoMIPS: 4020.38
:CPU Vendor: AuthenticAMD
:CPU Model: AMD Athlon(tm) 64 Processor 3200+
:CPU Stepping: 2
:CPU Family: 15
:CPU Model Num: 79
:Number of CPUs: 1
:CPU Speed: 2009
:System Memory: 2004
:System Swap: 4031
:Vendor: MSI
:System: MS-7260 1.0
:Form factor: Desktop
:Kernel: 3.2.10-3.fc16.x86_64
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Permissive
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(4318:880:0:0) pci, None, PCI/PCI, MCP55 PCI bridge
:(4318:881:5218:29280) pci, snd_hda_intel, MULTIMEDIA, MCP55 High Definition Audio
:(4318:873:5218:29280) pci, None, RAM, MCP55 Memory Controller
:(4318:874:5218:29280) pci, None, RAM, MCP55 Memory Controller
:(4318:872:5218:29280) pci, nForce2_smbus, SERIAL, MCP55 SMBus
:(4318:867:5218:29280) pci, None, PCI/ISA, MCP55 LPC Bridge
:(4130:4353:0:0) pci, None, HOST/PCI, K8 [Athlon64/Opteron] Address Map
:(4130:4352:0:0) pci, None, HOST/PCI, K8 [Athlon64/Opteron] HyperTransport Technology Configuration
:(4130:4355:0:0) pci, k8temp, HOST/PCI, K8 [Athlon64/Opteron] Miscellaneous Control
:(4130:4354:0:0) pci, None, HOST/PCI, K8 [Athlon64/Opteron] DRAM Controller
:(4318:876:5218:29280) pci, ohci_hcd, USB, MCP55 USB Controller
:(4318:877:5218:29280) pci, ehci_hcd, USB, MCP55 USB Controller
:(4098:28994:5208:8520) pci, radeon, VIDEO, RV515 PRO [Radeon X1300/X1550 Series]
:(4098:29026:5208:8521) pci, None, VIDEO, RV515 PRO [Radeon X1300/X1550 Series] (Secondary)
:(4183:22024:4183:2) pci, None, SIMPLE, Wildcard X100P
:(4318:883:5218:29280) pci, forcedeth, BRIDGE, MCP55 Ethernet
:(4318:888:4318:0) pci, pcieport, PCI/PCI, MCP55 PCI Express bridge
:(4318:885:4318:0) pci, pcieport, PCI/PCI, MCP55 PCI Express bridge
:(4318:887:4318:0) pci, pcieport, PCI/PCI, MCP55 PCI Express bridge
:(4318:878:5218:29280) pci, pata_amd, STORAGE, MCP55 IDE
:(4318:884:4318:0) pci, pcieport, PCI/PCI, MCP55 PCI Express bridge
:(4318:895:5218:29280) pci, sata_nv, STORAGE, MCP55 SATA Controller
:(4318:895:5218:29280) pci, sata_nv, STORAGE, MCP55 SATA Controller
:(4318:884:4318:0) pci, pcieport, PCI/PCI, MCP55 PCI Express bridge
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/vg_home1-lv_root / ext4 4096 4096 8581092 1465333 1035253 2154496 1728159 1728159
:/dev/sdb2 /boot ext4 1024 1024 508745 410939 385339 128016 127785 127785
:
Comment 1 Fedora Admin XMLRPC Client 2012-03-27 14:26:33 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 2 Ankur Sinha (FranciscoD) 2012-04-22 15:36:36 EDT
Tried to check the import buffer. I think it was empty.

Package: bibus-1.5.1-7.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 3 Fedora End Of Life 2013-01-16 12:32:09 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Fedora End Of Life 2013-02-13 17:19:54 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.